import renderHelper from '../../tools/bazar/presentation/javascripts/form-edit-template/fields/commons/render-helper.js'
import { defaultMapping } from '../../tools/bazar/presentation/javascripts/form-edit-template/fields/commons/attributes.js'


window.formBuilderFields.annuaire = {
  field: {
    label: _t('Annuaire'),
    name: 'annuaire',
    attrs: { type: 'annuaire' },
    icon: '<i class="fas fa-users"></i>'
  },
  attributes: {
    name: { label: _t('Identifiant unique'), value: 'bf_annuaire' },
    entries_field: {
      label: _t('Identifiants des formulaires source (séparés par des virgules)'),
      value: ''
    },
  },
  advancedAttributes: [],
  disabledAttributes: [],
  attributesMapping: {
    ...defaultMapping,
    ...{
      0: 'type',
      1: 'name',
      2: 'label',
      3: 'entries_field'
    //  5: '', /* 5:"mailing_list", */
    //  6: 'auto_add_to_group',
    //  8: '',
    //  9: 'autoupdate_email'
    }
  },
  renderInput(field) {
    return {
      field: '',
      onRender() {
        //renderHelper.defineLabelHintForGroup(field, 'auto_add_to_group', _t('BAZ_FORM_EDIT_ADD_TO_GROUP_HELP'))
      }
    }
  }
}

